Bug 42246 - Need for a 'auto-scroll' option in "View Results Tree" and "Assertion Results"
Need for a 'auto-scroll' option in "View Results Tree" and "Assertion Results"
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.5
All All
: P3 enhancement with 2 votes (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-04-25 07:55 UTC by Michel Nolard
Modified: 2013-04-24 07:16 UTC (History)
3 users (show)



Attachments
Fix to issue (4.04 KB, patch)
2011-09-16 10:10 UTC, Philippe Mouawad
Details | Diff
Fix to the issue with corrected code format (I hope so) (3.80 KB, patch)
2011-09-16 13:59 UTC, Philippe Mouawad
Details | Diff
Fix to issue (Correct format I hope) (4.02 KB, patch)
2011-09-16 15:16 UTC, Philippe Mouawad
Details | Diff
Fix to the issue (4.16 KB, patch)
2011-09-16 15:54 UTC, Philippe Mouawad
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Nolard 2007-04-25 07:55:12 UTC
Hi !

I found JMeter very useful and well done, so I want to contribute in my way by
pointing those little annoying things which the users have to put up with but
are quite simple to fix.

My current experience with JMeter showed my how frustrating it is to have to
scroll down continuously to follow the execution in the View Results Tree or the
Assertion Results panels. Why not to add a new checkbox called : "Scroll
automatically" ?

You all are doing a great work with JMeter !
Comment 1 Bill 2008-04-22 12:20:26 UTC
I agree, this would be a nice enhancement.
Comment 2 Philippe Mouawad 2011-09-16 10:10:45 UTC
Created attachment 27507 [details]
Fix to issue

Hello,
I implemented the following:
- A checkbox Auto Scroll (disabled by default) , if checked treeview of results will scroll
- For Assertion results scroll is enabled by default


Regards
Philippe Mouawad
http://www.ubik-ingenierie.com
Comment 3 Milamber 2011-09-16 12:33:02 UTC
Please, respect code convention in JMeter for your patch.
Thanks.
http://wiki.apache.org/jakarta-jmeter/JMeterEclipse
Comment 4 Philippe Mouawad 2011-09-16 13:59:31 UTC
Created attachment 27510 [details]
Fix to the issue with corrected code format (I hope so)

If format is not OK please tell me what's wrong.
Regards
Philippe
Comment 5 Sebb 2011-09-16 14:12:06 UTC
Looks like there are tabs in the patch; please don't use tabs because they are not standardised (some use 8, some use 4 spaces).
Comment 6 Philippe Mouawad 2011-09-16 15:16:33 UTC
Created attachment 27514 [details]
Fix to issue (Correct format I hope)
Comment 7 Milamber 2011-09-16 15:37:13 UTC
No good. Some tabs stills (createASCheckBox method)

You can see:
http://stackoverflow.com/questions/407929/how-do-i-change-eclipse-to-use-spaces-instead-of-tabs
Comment 8 Philippe Mouawad 2011-09-16 15:54:40 UTC
Created attachment 27515 [details]
Fix to the issue
Comment 9 Sebb 2011-09-16 23:54:12 UTC
Thanks.

The patch was missing the resource from messages.properties, but otherwise was fine, so applied:

URL: http://svn.apache.org/viewvc?rev=1171861&view=rev
Log:
Bug 42246 - Need for a 'auto-scroll' option in "View Results Tree" and "Assertion Results"

Modified:
   jakarta/jmeter/trunk/src/components/org/apache/jmeter/visualizers/AssertionVisualizer.java
   jakarta/jmeter/trunk/src/components/org/apache/jmeter/visualizers/ViewResultsFullVisualizer.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
   jakarta/jmeter/trunk/xdocs/changes.xml
Comment 10 Milamber 2011-09-17 14:45:06 UTC
Hello,

I'm not sure that needs to define a text color black for checkbox label is necessary.
The text default color (on Linux/JDK1.5) is not a 'pure' black (a kind of dark grey). The checkbox label is more visible that other text on the listener.

Perhaps, remove the setting color (and leave default)?

Milamber
Comment 11 Sebb 2011-09-17 14:56:23 UTC
(In reply to comment #10)
> Hello,
> 
> I'm not sure that needs to define a text color black for checkbox label is
> necessary.
> The text default color (on Linux/JDK1.5) is not a 'pure' black (a kind of dark
> grey). The checkbox label is more visible that other text on the listener.

I'd not spotted that.

> Perhaps, remove the setting color (and leave default)?

Fixed:

URL: http://svn.apache.org/viewvc?rev=1171996&view=rev
Log:
Bug 42246 - don't override colour for autoscroll checkbox

Modified:
   jakarta/jmeter/trunk/src/components/org/apache/jmeter/visualizers/ViewResultsFullVisualizer.java